# ib-clearance

ib-clearance is a program which helps schools manage the entrance and exiting of their IB students. Due to the unique nature of IB students' timetables, the program helps check individual timetables and give clearance to students who have finished for the day.

### Building

The code is currently designed to run on Python 3.6.*.

I recommend building executables with `pyinstaller` with `pyinstaller --onefile ib-clearance.py`.

### Lesson IDs

Equivalents of lesson names for use in class databases.

- Academic Writing
    - 'aw'
- Biology
    - 'bi'
- Business Management
    - 'bm'
- Chemistry
    - 'ch'
- Computer Science
    - 'cs'
- Economics
    - 'ec'
- English A
    - 'ena'
- English B
    - 'enb'
- French
    - 'fr'
- Geography
    - 'ge'
- German
    - 'de'
- Guidance
    - 'gu'
- Mathematical Studies
    - 'mst'
- Mathematics HL
    - 'mhl'
- Mathematics SL
    - 'msl'
- Polish A
    - 'pl'
- Psychology
    - 'ps'
- Self-Taught Language A
    - 'st'
- Spanish
    - 'es'
- Theory of Knowledge
    - 'tok'
- Turkish A
    - 'tr'
- Visual Arts
    - 'va'

## License

Copyright (C) 2018  Abdulkadir Furkan Şanlı

ib-clearance is made available under the Apache License 2.0.
